### Function

# GimpUi IntRadioFrameSensitivityFunc

#### Declaration

    gboolean
    (* GimpIntRadioFrameSensitivityFunc) (
      gint value,
      gpointer user_data,
      gint* new_value,
      gpointer data
    )

#### Description [src]

Signature for a function called on each radio button value and data, each time the %GimpIntRadioFrame is drawn, to make some radio button insensitive. If the function returns `FALSE`, it usually means that the value is not a valid choice in current situation. In this case, you might want to toggle instead another value automatically. Set `new_value` to the value to toggle. If you leave this untouched, the radio button will stay toggled despite being insensitive. This is up to you to decide whether this is meaningful.

#### Parameters

`value` | `gint`
| The value associated with a radio button.
`user_data` | `gpointer`
| The data associated with a radio button.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`new_value` | `gint*`
| The value to check instead if the function returns `FALSE`.
| The data is owned by the caller of the function.
`data` | `gpointer`
| The data set in `gimp_int_radio_frame_set_sensitivity()`
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the button stays sensitive, `FALSE` otherwise.